// 本函数由HBcms(宏博内容管理系统)整理优化
// 最新版本： http://www.hbcms.com/ 

roll_pic_width = roll_pic_width+8; // 为了和其他的幻灯片保持一致
roll_pic_height = roll_pic_height+29;

document.writeln("<style>");
document.writeln("#No *{margin:0;padding:0;}");
document.writeln("#focus{width:" + roll_pic_width + "px;height:" + roll_pic_height + "px;margin:0 0 5px;clear:both;position:relative;font-size:9pt; }");
document.writeln("#au{width:" + (roll_pic_width-2) + "px;height:" + (roll_pic_height-23) + "px;border:1px solid #BDBDBD;filter:progid:DXImageTransform.Microsoft.Fade ( duration=0.5,overlap=1.0 );}");
document.writeln("#au img{width:" + (roll_pic_width-8) + "px;border:2px solid #F1F9FD;height:" + (roll_pic_height-29) + "px;}");
document.writeln("#conau{width:" + roll_pic_width + "px;height:17px;float:left;padding:4px 0 0;text-align:center;}");
document.writeln("#conau a{color:#505050;padding-left:10px;}");
document.writeln(".bbg0{background-color: green;color:white;font-size:10px;font-family:Arial;line-height:11px;cursor:pointer;list-style-type: none;}");
document.writeln(".bbg0 a{color:white;text-decoration:none;list-style-type: none;}");
document.writeln(".bbg1{background-color: #FF9900;color:white;font-size:10px;font-family:Arial;line-height:11px;cursor:pointer;list-style-type: none;}");
document.writeln(".bbg1 a{color:white;text-decoration:none;list-style-type: none;}");
document.writeln("#No{width:100%;top:" + (roll_pic_height-39) + "px;left:" + (roll_pic_width-roll_pic_ary[0].length*19-1) + "px;position:absolute;z-index:100;}");
document.writeln("#No li{margin-right:1px;width:17px;float:left;padding-top:2px;text-align:center;height:11px;}");
document.writeln("<\/style>");

//焦点图
var n=0;
function Mea(value){
	n=value;
	setBg(value);
	plays(value);
	conaus(n);
	}
function setBg(value){
	for(var i=0;i<roll_pic_ary[0].length;i++)
	document.getElementById("t"+i+"").className="bbg0";
	document.getElementById("t"+value+"").className="bbg1";
	} 
function plays(value){
	try
	{
		with (au){
			filters[0].Apply();
			for(i=0;i<roll_pic_ary[0].length;i++)i==value?children[i].style.display="block":children[i].style.display="none"; 
			filters[0].play(); 		
			}
	}
	catch(e)
	{
		var d = document.getElementById("au").getElementsByTagName("div");
		for(i=0;i<roll_pic_ary[0].length;i++)i==value?d[i].style.display="block":d[i].style.display="none"; 
	}
}
function conaus(value){
	try
	{
		with (conau){

				for(i=0;i<roll_pic_ary[0].length;i++)i==value?children[i].style.display="block":children[i].style.display="none"; 
				
				}
	}
	catch(e)
	{
		var d = document.getElementById("conau").getElementsByTagName("div");
		for(i=0;i<roll_pic_ary[0].length;i++)i==value?d[i].style.display="block":d[i].style.display="none"; 
	}

}
function clearAuto(){clearInterval(autoStart)}
function setAuto(){autoStart=setInterval("auto(n)", 3000)}
function auto(){
	n++;
	if((n+1)>roll_pic_ary[0].length)n=0;
	Mea(n);
	conaus(n);
} 
setAuto(); 


document.writeln("<div id=\"focus\">");


document.writeln("<div id=\"No\">");
document.writeln("  <ul>");
for (i=0; i<roll_pic_ary[0].length; i++)
{
	bbg_class = (i==0) ? 'bbg1' : 'bbg0';

	document.writeln("	<li class=\""+bbg_class+"\" id=\"t"+i+"\" onmouseover=\"Mea("+i+");clearAuto();\" onmouseout=\"setAuto()\">"+(i+1)+"<\/li>");
}

document.writeln("  <\/ul>");
document.writeln("<\/div>");


document.writeln("<div id=\"au\">");
for (i=0; i<roll_pic_ary[0].length; i++)
{
	display_str = (i==0) ? 'block' : 'none';
 
	document.writeln("  <div style=\"display:"+display_str+"\"><a href=\""+unescape(roll_pic_ary[1][i])+"\" rel=\"external\"><img src=\""+roll_pic_ary[0][i]+"\" alt=\""+roll_pic_ary[2][i]+"\" \/><\/a><\/div>");

}
document.writeln("<\/div>");

document.writeln("<div id=\"conau\">");
for (i=0; i<roll_pic_ary[0].length; i++)
{
	display_str = (i==0) ? 'block' : 'none';

	document.writeln("  <div style=\"display:"+display_str+"\"><a href=\""+unescape(roll_pic_ary[1][i])+"\" title=\""+roll_pic_ary[2][i]+"\">"+roll_pic_ary[2][i]+"<\/a><\/div>");

}
document.writeln("<\/div>");


document.writeln("<\/div>");